APIPolicies
List policies
List policies, ordered by priority. Optionally filtered by MCP, agent, agent instance, or status.
GET
List policies, ordered by priority. Optionally filtered by MCP, agent, agent instance, or status.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_policiesmcp_id?stringFormat
uuidagent_slug?stringagent_instance_id?stringFormat
uuiduser_id?stringFormat
uuidgroup?stringautonomous?booleanstatus?stringWhether a rule takes part in evaluation.
Value in
"active""draft""disabled"scope_type?stringWhich kind of rule to list. Absent lists every rule.
Value in
"mcp_call""llm_call"model_provider_id?stringModel rules that name this model provider.
Format
uuidThe request has succeeded.
application/json- response
items*array<>curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/policies'Example Response
{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "priority": 0, "scope": { "type": "mcp_call", "agent_slugs": [ "string" ], "agent_instance_ids": [ "bc3f18ff-0dcd-4cc7-8f61-6ca61814f10b" ], "user_ids": [ "2d98503d-4ab4-41bd-8fc6-78cc006fd2db" ], "groups": [ "string" ], "agent_slug_tag_ids": [ "e428595a-d9dd-4887-8327-2d9cad5b7425" ], "autonomous": true, "mcp_ids": [ "c2c9208c-a7ac-41cc-84f1-8c1caec92987" ], "mcp_tag_ids": [ "17d4a46c-d971-4171-9a66-88ec59ce6eeb" ], "tool_tag_ids": [ "41068329-9b4f-4cc3-b249-3ec2a7a2cee8" ], "tool_patterns": [ "string" ], "condition": "string", "condition_description": "string" }, "effect": "allow", "status": "active", "approval_grace_seconds": 0, "approval_scope": "identical_call", "name": "string", "description": "string", "agent_instance_refs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "user_display_name": "string" } ], "user_refs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string" } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}